# $Revision: 1.36.2.4 $, $Date: 2003/03/13 00:58:18 $
#
# Conditional build:
# _with_tests - perform "make test"
#
%include	/usr/lib/rpm/macros.perl
Summary:	Net::SSLeay - Perl extension for using OpenSSL or SSLeay
Summary(pl):	Net::SSLeay - rozszerzenie perla do uywania OpenSSL lub SSLeay
Name:		perl-Net-SSLeay
Version:	1.22
Release:	1
License:	GPL
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Net/Net_SSLeay.pm-%{version}.tar.gz
Patch0:		%{name}-paths.patch
BuildRequires:	openssl-devel >= 0.9.6i
BuildRequires:	openssl-tools >= 0.9.6i
BuildRequires:	perl >= 5.6.1
BuildRequires:	rpm-perlprov >= 4.0.2-104
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module offers some high level convinience functions for accessing
web pages on SSL servers, a sslcat() function for writing your own
clients, and finally access to the SSL api of SSLeay/OpenSSL package
so you can write servers or clients for more complicated applications.

%description -l pl
Ten modu oferuje kilka wygodnych funkcji wysokiego poziomu sucych
do dostpu do stron WWW na serwerach SSL, funkcj sslcat() do pisania
wasnych klientw, oraz dostp do API SSL pakietu SSLeay/OpenSSL, co
pozwala na pisanie serwerw lub klientw dla bardziej skomplikowanych
aplikacji.

%prep
%setup -q -n Net_SSLeay.pm-%{version}
%patch0 -p0

%build
%{__perl} Makefile.PL
%{__make} OPTIMIZE="%{rpmcflags}"

%{?_with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%{__make} install DESTDIR=$RPM_BUILD_ROOT

install examples/*.{pl,conf} $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes Credits README
%{perl_sitearch}/Net/SSLeay.pm
%{perl_sitearch}/Net/SSLeay
%{perl_sitearch}/Net/ptrtstrun.pl
%dir %{perl_sitearch}/auto/Net/SSLeay
%{perl_sitearch}/auto/Net/SSLeay/autosplit.ix
%{perl_sitearch}/auto/Net/SSLeay/*.al
%{perl_sitearch}/auto/Net/SSLeay/*.bs
%attr(755,root,root) %{perl_sitearch}/auto/Net/SSLeay/*.so
%{_mandir}/man3/*
%{_examplesdir}/%{name}-%{version}

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: perl-Net-SSLeay.spec,v $
Revision 1.36.2.4  2003/03/13 00:58:18  ankry
- BR: new rpm (new perl.prov), rel++

Revision 1.36.2.3  2003/03/12 22:41:14  ankry
- BR: openssl-tools >= 0.9.6i

Revision 1.36.2.2  2003/03/12 22:35:53  ankry
- BR: openssl-devel >= 0.9.6i

Revision 1.36.2.1  2003/02/28 14:08:17  ankry
- do not require openssl 0.9.7

Revision 1.36  2003/02/25 15:07:11  radek
- version 1.22; added Credits file and tests (remote, so default off)

Revision 1.35  2003/02/25 00:41:03  radek
- use the __perl macro

Revision 1.34  2003/02/18 15:37:19  ankry
- massive attack: change CPAN URLs

Revision 1.33  2003/02/13 14:05:23  juandon
- force to use openssl >= 0.9.7, idea by kloczek

Revision 1.32  2002/11/08 18:04:18  radek
- version 1.21

Revision 1.31  2002/08/27 18:56:46  qboosh
- pl description

Revision 1.30  2002/08/27 13:30:07  radek
- version 1.20, informative summary/description.  STBR

Revision 1.29  2002/08/11 19:36:48  radek
- release up

Revision 1.28  2002/07/20 15:05:53  qboosh
- updated to 1.18, removed .packlist, fixed permissions

Revision 1.27  2002/07/11 22:20:11  qboosh
- new %%doc and cosmetics

Revision 1.26  2002/07/11 08:02:26  depesz
- new version; should work; STBR

Revision 1.25  2002/07/10 08:48:16  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.24  2002/05/11 14:28:10  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.23  2002/03/03 22:18:56  marcus
- rel.2.

Revision 1.22  2002/02/22 23:29:30  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.21  2002/02/13 20:28:05  kloczek
- adapterized.

Revision 1.20  2002/02/10 15:40:17  depesz
adapterized

Revision 1.19  2002/01/18 02:14:23  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.18  2001/10/01 09:53:54  mis
- autoupdated to 1.09

Revision 1.17  2001/07/25 21:26:45  qboosh
- don't include patch backup in examples
- release 2

Revision 1.16  2001/07/25 09:12:13  mis
- autoupdated to 1.08

Revision 1.15  2001/05/09 00:14:58  kloczek
- release 2: rebuild against openssl 0.9.6a.

Revision 1.14  2001/04/30 16:05:27  kloczek
- added using %%{rpmcflags} macro.

Revision 1.13  2001/04/23 14:35:34  mis
- autoupdated to 1.07

Revision 1.12  2001/04/17 12:13:34  baggins
- release 2
- rebuild with perl 5.6.1

Revision 1.11  2001/04/14 18:00:09  baggins
- removed explicit requirements for perl = %%{version} and %%{perl_sitearch}
  they will be added by rpm if needed

Revision 1.10  2001/04/10 19:47:55  mis
- autoupdated to 1.06

Revision 1.9  2001/03/19 01:04:23  kloczek
- release 3.

Revision 1.8  2001/03/17 20:42:03  agaran
Added openssl-tools to buildrequires (not for to send to builders)

Revision 1.7  2001/01/25 20:03:45  misiek
Massive attack. We use -O0 instead -O flags while debug enabled.

Revision 1.6  2001/01/19 06:19:29  kloczek
- release 2: rebuild against perl 5.6 and use rpm automation.

Revision 1.5  2000/06/09 07:23:40  kloczek
- added using %%{__make} macro.

Revision 1.4  2000/05/21 20:11:42  kloczek
- spec adapterized.

Revision 1.3  2000/04/01 11:15:20  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.2  2000/03/28 16:54:58  baggins
- translated kloczkish into english

Revision 1.1  2000/02/17 20:14:11  pius
- initial release
